using System;
using TheGameExtreme.model.card.cardType;

namespace TheGameExtreme.model.piles
{
    public class _50Range100Piles : Piles
    {
        public _50Range100Piles(int nbPile) : base(nbPile)
        {
            for (int i = 0; i < nbPile; i++)
            {
                if (i < (nbPile * 0.5))
                {
                    ListOrderedStacks[i].Push(new ClassicCard(-50));
                }
                else
                {
                    ListOrderedStacks[i].Push(new ClassicCard(50));
                }
            }
        }
    }
}
